<?php
/**
 * The control file of my module of ZenTaoPMS.
 *
 * @copyright   Copyright 2009-2012 青岛易软天创网络科技有限公司 (QingDao Nature Easy Soft Network Technology Co,LTD www.cnezsoft.com)
 * @license     business(商业软件) 
 * @author      Yangyang Shi <shiyangyang@cnezsoft.com>
 * @package     my 
 * @version     $Id$
 * @link        http://www.zentao.net
 */
?>
<?php include '../../../common/view/header.html.php';?>
<?php include '../../../common/view/datepicker.html.php';?>
<div id='featurebar'>
  <ul class='nav'>
    <?php
    echo '<li id="today">'    . html::a(inlink('effort', "date=today"),     $lang->effort->todayEfforts)     . '</li>';
    echo '<li id="yesterday">'. html::a(inlink('effort', "date=yesterday"), $lang->effort->yesterdayEfforts) . '</li>';
    echo '<li id="thisweek">' . html::a(inlink('effort', "date=thisweek"),  $lang->effort->thisWeekEfforts)  . '</li>';
    echo '<li id="lastweek">' . html::a(inlink('effort', "date=lastweek"),  $lang->effort->lastWeekEfforts)  . '</li>';
    echo '<li id="thismonth">'. html::a(inlink('effort', "date=thismonth"), $lang->effort->thisMonthEfforts) . '</li>';
    echo '<li id="lastmonth">'. html::a(inlink('effort', "date=lastmonth"), $lang->effort->lastMonthEfforts) . '</li>';
    echo '<li id="all">'      . html::a(inlink('effort', "date=all"),       $lang->effort->allDaysEfforts)   . '</li>';
    echo "<li id='$date'>" . html::input('date', $date, 'class="select-7 form-date form-control" onchange=changeDate(this.value)') . '</li>';
    ?>
  </ul>
  <div class='actions'>
    <?php 
    $date = str_replace('-', '', $date);
    if(common::hasPriv('effort', 'export')) echo html::a($this->createLink('effort', 'export', "account=$account&orderBy=date_asc"), '<i class="icon-download-alt"></i> ' . $lang->effort->export, '', "class='btn export'");
    common::printIcon('effort', 'batchCreate', "date=$date");
    ?>
  </div>
</div>
<form action='<?php echo $this->createLink('effort', 'batchEdit', "from=browse")?>' method='post'>
  <?php
  $datatableId  = $this->moduleName . ucfirst($this->methodName);
  $useDatatable = (isset($this->config->datatable->$datatableId->mode) and $this->config->datatable->$datatableId->mode == 'datatable');
  $vars         = "type=$type&orderBy=%s&recTotal=$pager->recTotal&recPerPage=$pager->recPerPage";
  
  if($useDatatable) include '../../../common/view/datatable.html.php';
  $customFields = $this->datatable->getSetting('my');
  $widths       = $this->datatable->setFixedFieldWidth($customFields);
  $columns      = 0;
  ?>
  <table class='table table-condensed table-hover table-striped tablesorter table-fixed <?php if($useDatatable) echo 'datatable';?>' id='effortList' data-checkable='true' data-fixed-left-width='<?php echo $widths['leftWidth']?>' data-fixed-right-width='<?php echo $widths['rightWidth']?>' data-custom-menu='true' data-checkbox-name='effortIDList[]'>
    <thead>
      <tr>
        <?php
        foreach($customFields as $field)
        {
            if($field->show)
            {
                $this->datatable->printHead($field, $orderBy, $vars);
                $columns++;
            }
        }
        ?>
      </tr>
    </thead>
    <?php $times = 0?>
    <?php if($efforts):?>
    <tbody>
      <?php foreach($efforts as $effort):?>
      <tr class='text-center' data-id='<?php echo $effort->id;?>'>
        <?php
        $mode = $useDatatable ? 'datatable' : 'table';
        foreach($customFields as $field) $this->effort->printCell($field, $effort, $mode);
        ?>
      </tr>
      <?php $times += $effort->consumed;?>
      <?php endforeach;?>
    </tbody>
    <?php endif;?>
    <tfoot>
      <tr>
        <td colspan='<?php echo $columns;?>'>
          <div class='table-actions clearfix'>
            <?php
            if($efforts)
            {
                echo html::selectButton();
                if(common::hasPriv('effort', 'batchEdit')) echo html::submitButton($lang->effort->batchEdit);
            }

            if($times) printf('<div class="text">' . $lang->company->effort->timeStat . '</div>', $times);
            ?>
          </div>
          <?php $pager->show();?>
        </td>
      </tr>
    </tfoot>
  </table>
</form>
<?php
if($type == 'bydate')
{
    if($date == date('Y-m-d'))
    {
        $type = 'today';
    }
    else if($date == date('Y-m-d', strtotime('-1 day')))
    {
        $type = 'yesterday'; 
    }
}
?>
<script>$('#<?php echo $type;?>').addClass('active')</script>
<?php include '../../../common/view/footer.html.php';?>
